Intermittent browser_child_resource.js | uncaught exception - NS_ERROR_FAILURE: Component returned failure code: 0x80004005 (NS_ERROR_FAILURE) [nsIMessageSender.sendAsyncMessage] at resource://gre/modules/PageThumbs.jsm:242

RESOLVED FIXED in Firefox 47

Status

()

Firefox
New Tab Page
RESOLVED FIXED
3 years ago
2 years ago

People

(Reporter: RyanVM, Unassigned)

Tracking

({intermittent-failure})

unspecified
Firefox 48
x86
Windows 7
intermittent-failure
Points:
---

Firefox Tracking Flags

(e10s+, firefox47 fixed, firefox48 fixed)

Details

(Whiteboard: [e10s-orangeblockers][disabled on linux 64 debug])

MozReview Requests

()

Submitter Diff Changes Open Issues Last Updated
Loading...
Error loading review requests:

Attachments

(1 attachment)

(Reporter)

Description

3 years ago
18:13:38 INFO - 124 INFO TEST-PASS | netwerk/test/browser/browser_child_resource.js | Shouldn't resolve in main process
18:13:38 INFO - 125 INFO TEST-PASS | netwerk/test/browser/browser_child_resource.js | Shouldn't resolve in child process
18:13:38 INFO - 126 INFO Leaving test
18:13:38 INFO - 127 INFO Entering test
18:13:38 INFO - 128 INFO Waiting for load
18:13:38 INFO - 129 INFO Console message: [JavaScript Warning: "unsafe CPOW usage" {file: "resource://app/modules/sessionstore/TabState.jsm" line: 96}]
18:13:38 INFO - 130 INFO Console message: [JavaScript Warning: "unsafe CPOW usage" {file: "resource://app/modules/sessionstore/TabState.jsm" line: 96}]
18:13:38 INFO - 131 INFO Saw load
18:13:38 INFO - 132 INFO Set
18:13:38 INFO - 133 INFO Console message: [JavaScript Error: "The character encoding of the HTML document was not declared. The document will render with garbled text in some browser configurations if the document contains characters from outside the US-ASCII range. The character encoding of the page must be declared in the document or in the transfer protocol." {file: "http://example.com/browser/netwerk/test/browser/dummy.html" line: 0}]
18:13:38 INFO - 134 INFO TEST-PASS | netwerk/test/browser/browser_child_resource.js | Should resolve in main process
18:13:38 INFO - 135 INFO TEST-PASS | netwerk/test/browser/browser_child_resource.js | Should resolve in child process
18:13:38 INFO - 136 INFO Waiting for AboutTabCrashedLoad
18:13:38 INFO - 137 INFO TEST-UNEXPECTED-FAIL | netwerk/test/browser/browser_child_resource.js | uncaught exception - NS_ERROR_FAILURE: Component returned failure code: 0x80004005 (NS_ERROR_FAILURE) [nsIMessageSender.sendAsyncMessage] at resource://gre/modules/PageThumbs.jsm:242
18:13:38 INFO - Stack trace:
18:13:38 INFO - chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:simpletestOnerror:1474
18:13:38 INFO - null:null:0
18:13:38 INFO - JavaScript error: resource://gre/modules/PageThumbs.jsm, line 242: NS_ERROR_FAILURE: Component returned failure code: 0x80004005 (NS_ERROR_FAILURE) [nsIMessageSender.sendAsyncMessage]
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
If you get to wondering how you went from around one failure per week to suddenly failing half the time on the tier-2 taskcluster runs, well, funny story involving a should-have-been-NPOTB push and a no-op for you DONTBUILD push: https://treeherder.mozilla.org/#/jobs?repo=mozilla-inbound&fromchange=b9dba72f9e97&group_state=expanded&filter-searchStr=f57cef87a778cb72d1e48c642bae87110164c4b4&tochange=96c92e9d6216
(In reply to Phil Ringnalda (:philor) from comment #26)
> If you get to wondering how you went from around one failure per week to
> suddenly failing half the time on the tier-2 taskcluster runs, well, funny
> story involving a should-have-been-NPOTB push and a no-op for you DONTBUILD
> push:
> https://treeherder.mozilla.org/#/jobs?repo=mozilla-
> inbound&fromchange=b9dba72f9e97&group_state=expanded&filter-
> searchStr=f57cef87a778cb72d1e48c642bae87110164c4b4&tochange=96c92e9d6216

I completely missed bc. Sorry.
I will disble them.

Comment 28

2 years ago
31 automation job failures were associated with this bug yesterday.

Repository breakdown:
* mozilla-inbound: 31

Platform breakdown:
* linux64: 31

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1126299&startday=2016-02-02&endday=2016-02-02&tree=all
I disabled the jobs yesterday. We should not get anymore OF notifications.

Comment 30

2 years ago
33 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 32
* try: 1

Platform breakdown:
* linux64: 33

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1126299&startday=2016-02-01&endday=2016-02-07&tree=all
No more instances since Feb. 4th (4 days ago).

Comment 32

2 years ago
21 automation job failures were associated with this bug yesterday.

Repository breakdown:
* mozilla-inbound: 13
* fx-team: 8

Platform breakdown:
* linux64: 20
* linux32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1126299&startday=2016-02-26&endday=2016-02-26&tree=all

Comment 33

2 years ago
38 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 25
* fx-team: 12
* mozilla-beta: 1

Platform breakdown:
* linux64: 30
* linux32: 8

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1126299&startday=2016-02-22&endday=2016-02-28&tree=all

Comment 34

2 years ago
18 automation job failures were associated with this bug yesterday.

Repository breakdown:
* mozilla-inbound: 10
* fx-team: 7
* mozilla-central: 1

Platform breakdown:
* linux64: 16
* linux32: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1126299&startday=2016-03-01&endday=2016-03-01&tree=all

Comment 35

2 years ago
77 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 53
* fx-team: 18
* try: 3
* mozilla-central: 3

Platform breakdown:
* linux64: 70
* linux32: 7

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1126299&startday=2016-02-29&endday=2016-03-06&tree=all

Comment 36

2 years ago
Armen, it seems this started appearing again in late February.  Any ideas?
Flags: needinfo?(armenzg)
Hi bkelly,
We re-enabled the jobs back on February 17th:
https://hg.mozilla.org/integration/mozilla-inbound/rev/d8f9f159cee2b704177973576215c4f7d83d0a90

From looking at brasstacks, I can see that TC has 100 instances out of 116 (86%).

I would have looked at these but I honestly got confused with another wpt intermittent bug which we solved by making the TC instance larger.

These jobs run on the same AWS instance type as the Buildbot jobs [1][2] (m1.medium), however, we know that docker can have a bit of overhead plus the /tmp directory is using the aufs system instead of ext4 (bug 1246947) which is slower.
We changed the mount point for ~/workspace and managed to speed up run times from ~30% to ~12% (compared to Buildbot).
e10s bc jobs seem to run around 10% slower than on Buildbot [3]

What are dead CPOW?

[0]
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1126299&startday=2016-02-22&endday=2016-03-06&tree=all

[1] Buildbot jobs:
https://treeherder.mozilla.org/#/jobs?repo=mozilla-central&filter-searchStr=ubuntu%20x64%20debug%20mochitest-e10s-browser-chrome&group_state=expanded

[2] TaskCluster jobs
https://treeherder.mozilla.org/#/jobs?repo=mozilla-central&filter-searchStr=tc%20debug%20mochitest%20-browser-chrome%20e10s&group_state=expanded

[3] https://docs.google.com/spreadsheets/d/18OWl54b94Uda8AqdcHVFtydZwVlSUFhddJkip-2Iko8/edit#gid=0
Flags: needinfo?(armenzg)

Comment 38

2 years ago
23 automation job failures were associated with this bug yesterday.

Repository breakdown:
* mozilla-inbound: 15
* fx-team: 8

Platform breakdown:
* linux64: 21
* windowsxp: 1
* windows7-32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1126299&startday=2016-03-08&endday=2016-03-08&tree=all

Comment 39

2 years ago
15 automation job failures were associated with this bug yesterday.

Repository breakdown:
* mozilla-inbound: 10
* fx-team: 5

Platform breakdown:
* linux64: 15

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1126299&startday=2016-03-09&endday=2016-03-09&tree=all

Comment 40

2 years ago
84 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 43
* fx-team: 22
* try: 18
* mozilla-central: 1

Platform breakdown:
* linux64: 79
* linux32: 3
* windowsxp: 1
* windows7-32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1126299&startday=2016-03-07&endday=2016-03-13&tree=all
:billm, I see that you have reviewed most of the changes to browser_child_resource.js:
https://hg.mozilla.org/mozilla-central/filelog/f0c0480732d36153e8839c7f17394d45f679f87d/netwerk/test/browser/browser_child_resource.js

Can you find an owner for this issue so we can get rid of one of our top intermittent bugs?
Flags: needinfo?(wmccloskey)

Comment 42

2 years ago
15 automation job failures were associated with this bug yesterday.

Repository breakdown:
* mozilla-inbound: 13
* fx-team: 2

Platform breakdown:
* linux64: 14
* osx-10-10: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1126299&startday=2016-03-14&endday=2016-03-14&tree=all

Comment 43

2 years ago
22 automation job failures were associated with this bug yesterday.

Repository breakdown:
* mozilla-inbound: 13
* fx-team: 6
* try: 2
* mozilla-aurora: 1

Platform breakdown:
* linux64: 22

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1126299&startday=2016-03-15&endday=2016-03-15&tree=all
(Reporter)

Updated

2 years ago
Whiteboard: [e10s-orangeblockers]
tracking-e10s: --- → ?

Comment 44

2 years ago
17 automation job failures were associated with this bug yesterday.

Repository breakdown:
* mozilla-inbound: 13
* fx-team: 2
* mozilla-central: 1
* mozilla-aurora: 1

Platform breakdown:
* linux64: 17

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1126299&startday=2016-03-17&endday=2016-03-17&tree=all

Comment 45

2 years ago
111 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 74
* fx-team: 24
* try: 4
* mozilla-central: 4
* mozilla-aurora: 4
* mozilla-beta: 1

Platform breakdown:
* linux64: 107
* windows7-32: 1
* osx-10-6: 1
* osx-10-10: 1
* linux32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1126299&startday=2016-03-14&endday=2016-03-20&tree=all
no response from :billm in 1 week, I am going to disable this test case for linux 64 debug e10s.
Created attachment 8732794 [details]
MozReview Request: Bug 1126299 - Intermittent browser_child_resource.js: disable test. r?ryanvm

Review commit: https://reviewboard.mozilla.org/r/41367/diff/#index_header
See other reviews: https://reviewboard.mozilla.org/r/41367/
Attachment #8732794 - Flags: review?(ryanvm)
(Reporter)

Comment 48

2 years ago
Comment on attachment 8732794 [details]
MozReview Request: Bug 1126299 - Intermittent browser_child_resource.js: disable test. r?ryanvm

Bill is on PTO through the end of the month. I'd suggest ni? someone else familiar with the test before disabling.
Attachment #8732794 - Flags: review?(ryanvm)
:mossop, can you help us figure out how to how to resolve this frequent intermittent?  I see you had authored some patches for this test case.
Flags: needinfo?(wmccloskey) → needinfo?(dtownsend)
This looks like an issue in the thumbnail capturing code. Here it sets a timeout before trying to capture a browser's thumbnail: https://dxr.mozilla.org/mozilla-central/source/browser/base/content/browser-thumbnails.js#110. My guess is that between setting that and the timeout being called the test crashes the browser it is referring to so then it is attempting to send messages to a dead browser and so throws. Jim seems to have done work around here so maybe he can help.
Flags: needinfo?(dtownsend) → needinfo?(jmathies)
Thanks for the insight :mossop!  I will wait for :jimm to weigh in here.

Comment 52

2 years ago
15 automation job failures were associated with this bug yesterday.

Repository breakdown:
* mozilla-inbound: 7
* fx-team: 5
* try: 2
* mozilla-central: 1

Platform breakdown:
* linux64: 15

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1126299&startday=2016-03-22&endday=2016-03-22&tree=all

Comment 53

2 years ago
20 automation job failures were associated with this bug yesterday.

Repository breakdown:
* mozilla-inbound: 14
* fx-team: 6

Platform breakdown:
* linux64: 20

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1126299&startday=2016-03-23&endday=2016-03-23&tree=all

Comment 54

2 years ago
82 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 54
* fx-team: 18
* try: 5
* mozilla-central: 3
* mozilla-aurora: 2

Platform breakdown:
* linux64: 81
* linux32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1126299&startday=2016-03-21&endday=2016-03-27&tree=all

Comment 55

2 years ago
Mossop's description sounds right to me. We probably have some sort of tab crashed notification we could listen for here that would kill that timer.
Flags: needinfo?(jmathies)

Updated

2 years ago
Blocks: 984139
tracking-e10s: ? → +

Comment 56

2 years ago
17 automation job failures were associated with this bug yesterday.

Repository breakdown:
* mozilla-inbound: 13
* fx-team: 3
* try: 1

Platform breakdown:
* linux64: 17

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1126299&startday=2016-04-01&endday=2016-04-01&tree=all

Comment 57

2 years ago
56 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 37
* fx-team: 15
* try: 2
* mozilla-central: 1
* mozilla-aurora: 1

Platform breakdown:
* linux64: 56

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1126299&startday=2016-03-28&endday=2016-04-03&tree=all
As a note, this seems to be taskcluster linux64 debug for the platform/opt that this failure is occuring on.

:RyanVM- I am not seeing traction on this bug- can you own disabling this test or getting it fixed?
Flags: needinfo?(ryanvm)
(Reporter)

Comment 59

2 years ago
Felipe and Blake are handling more the test-specific issues for e10s. I'd be fine with disabling on Linux64 debug if we can't get the traction to fix whatever's broken here.
Flags: needinfo?(ryanvm) → needinfo?(felipc)
Flags: needinfo?(felipc)
Whiteboard: [e10s-orangeblockers] → [e10s-orangeblockers][disabled on linux 64 debug]

Comment 61

2 years ago
bugherder
https://hg.mozilla.org/mozilla-central/rev/9eb806f21fb1
Status: NEW → RESOLVED
Last Resolved: 2 years ago
status-firefox48: --- → fixed
Resolution: --- → FIXED
Target Milestone: --- → Firefox 48
(Reporter)

Comment 62

2 years ago
bugherderuplift
https://hg.mozilla.org/releases/mozilla-aurora/rev/b60a7bd60e50
status-firefox47: --- → fixed

Comment 63

2 years ago
33 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 18
* fx-team: 8
* mozilla-aurora: 5
* try: 1
* mozilla-central: 1

Platform breakdown:
* linux64: 31
* linux32: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1126299&startday=2016-04-04&endday=2016-04-10&tree=all
You need to log in before you can comment on or make changes to this bug.